using SharedUtility;
using System;
using System.Windows.Forms;

namespace MarkdownRenderer.Test
{
    internal static class Program
    {
        /// <summary>
        /// 应用程序的主入口点。
        /// </summary>
        [STAThread]
        private static void Main()
        {
            AssemblyResolveInMyAround.Register();
            InitRefenceAssembly();

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new RendererTestForm());

            QuitRefenceAssembly();
        }

        private static void InitRefenceAssembly()
        {
            MarkdownRendererMain.Init();
        }

        private static void QuitRefenceAssembly()
        {
            MarkdownRendererMain.Quit();
        }
    }
}
